.projects-section {
    position: relative;
    height: 950px;
    width: 100%;
}

.projects-section h2{
    text-align: center;
    font-size: 3em;
    color: green;
    margin-top: 100px;
}

.projects-test-image {
    height: 100px;
    width: 100px;
}

.project-locker-container {
    width: 100%;
    margin-top: 40px;
    display: flex;
}

.projects-container {
    padding-top: 100px;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: auto;
    display: flex;
    flex-direction: row;
    width: 100%;
}

.projects-container p {
    color: green;
}

.project-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 150px;
    height: 600px;
    cursor: pointer;
    flex-grow: 20;
    transition: all 2s;
    margin-right: 20px;
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 20px;
    border: 1px solid green;
}

.project-item:hover {
    box-shadow: 0px 0px 20px 5px green;
}

.project-item p {
    font-size: 40px;
    text-align: center;
}

.project-information {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
}

.project-information p{
    height: 300px;
    width: 70%;
    font-size: 22px;
    text-align: left;
}

.project-introduction {
    width: 100%;
    text-align: center;
}

.project-introduction svg {
    color: green;
    transition: 1s ease-in;
}

.introduction-view {
    margin-top: 40px;
}

.project-item:hover svg {
    transform: translateX(25%);
}

.all-projects-unlocked {
    box-shadow: 0px 0px 10px 10px green;
}

.project-item:nth-child(1) {
    margin-left: 20px;
}

.collapse {
    flex-grow: 1;
}

.box div {
    position: absolute;
    width: 40px;
    height: 40px;
    background-color: transparent;
    border: 1px solid green;
}

.box div:nth-child(1) {
    top: 5%;
    left: 15%;
    animation: boxtwist 16s linear infinite;
}
.box div:nth-child(2) {
    top: 30%;
    left: 55%;
    animation: boxtwistNegative 10s linear infinite;
}
.box div:nth-child(3) {
    top: 90%;
    left: 20%;
    animation: boxtwist 17s linear infinite;
}
.box div:nth-child(4) {
    top: 80%;
    left: 80%;
    animation: boxtwistNegative 6s linear infinite;
}
.box div:nth-child(5) {
    top: 60%;
    left: 33%;
    animation: boxtwist 10s linear infinite;
}
.box div:nth-child(6) {
    top: 18%;
    left: 90%;
    animation: boxtwistNegative 7s linear infinite;
}

@keyframes boxtwist {
    0%{
        transform: scale(0) translateY(0) rotate(0);
        opacity: 1;
    }
    100%{
        transform: scale(1.3) translateY(90px) rotate(360deg);
        opacity: 0;
    }
}

@keyframes boxtwistNegative {
    0%{
        transform: scale(0) translateY(0) rotate(0);
        opacity: 1;
    }
    100%{
        transform: scale(1.3) translateY(130px) rotate(-360deg);
        opacity: 0;
    }
}
